search cancel

LDAP Sync throws: IOException=Different versions on server | after AE upgrade

book

Article ID: 255172

calendar_today

Updated On:

Products

CA Automic Workload Automation - Automation Engine CA Automic One Automation

Issue/Introduction

After upgrading the Autamation engine, the following errors show up in the LDAP Sync log:

2022-11-15 20:26:14.079 [main] c.a.s.a.b.i.BridgeConnectorImpl          TRACE  BRIDGE:Exit sendRequest(), IOException=End of stream reading message
2022-11-15 20:26:14.079 [main] c.a.s.l.a.AEConnector                    DEBUG  Checked AE credential, fail
2022-11-15 20:26:14.079 [main] c.a.s.l.LDAPSynchronizer                 ERROR  Could not connect to AE server. Please check AE username and password.
com.automic.sara.ldapsync.exceptions.SynchronizationException: Could not connect to AE server. Please check AE username and password.
   at com.automic.sara.ldapsync.ae.AEService.start(AEService.java:77)
   at com.automic.sara.ldapsync.steps.InitializeStep.execute(InitializeStep.java:24)
   at com.automic.sara.ldapsync.SynchronizationStepChain.execute(SynchronizationStepChain.java:33)
   at com.automic.sara.ldapsync.LDAPSynchronizer.run(LDAPSynchronizer.java:58)
   at com.automic.sara.ldapsync.LDAPSynchronizer.main(LDAPSynchronizer.java:28)

or

2022-11-15 19:28:03.960 [main] c.a.s.a.b.i.BridgeConnectorImpl          TRACE  BRIDGE:Exit sendRequest(), IOException=Different versions on server (21.0) and client (12.3.).

Cause

LDAP Sync and Automation Engine needed to be on the same version

Resolution

Looking at the snippet sent, LDAP.Sync has not been upgraded.

The error message:

"2022-11-15 19:28:03.960 [main] c.a.s.a.b.i.BridgeConnectorImpl          TRACE  BRIDGE:Exit sendRequest(), IOException=Different versions on server (21.0) and client (12.3.)."

Is stating that the LDAP.Sync version is lower than the system version which is at 21.0. 

To resolve this LDAP.Sync must be upgraded to match the Automation Engine version.  In the case above, 21.0 is needed which can be found here: https://downloads.automic.com/downloads/advanced_mode&selected_tab=id_search-result-files&lifecycle_entity_id=1409143059253&major_version_id=1642064887326%2C1660210974508%2C1656337838436%2C1653304169438%2C1637003273101%2C1648591279187%2C1646171149329%2C1627281031434%2C1637005649830%2C1627281031351%2C1631857933175%2C1585553688489&component_id=1602489357672&search=

Please note with an upgrade from 12.3 to 21.0, the LDAP.Sync needs to point to a JCP WS.PORT instead of the CP port.